For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetPhoneNumberReports
        • POSTAttachPhoneNumber
        • POSTBindPhoneNumberToApplication
        • POSTDeactivatePhoneNumber
        • POSTSetPhoneNumberInfo
        • POSTGetPhoneNumbers
        • POSTIsAccountPhoneNumber
        • POSTGetPhoneNumbersAsync
        • POSTGetNewPhoneNumbers
        • POSTGetPhoneNumberCategories
        • POSTGetPhoneNumberCountryStates
        • POSTGetPhoneNumberRegions
        • POSTGetActualPhoneNumberRegion
        • POSTGetAccountPhoneNumberCountries
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePhone Numbers

GetActualPhoneNumberRegion

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion
POST
/platform_api/GetActualPhoneNumberRegion
$curl -X POST "https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": {
3 "phone_region_id": 1,
4 "phone_region_name": "AACHEN",
5 "phone_region_code": "263",
6 "phone_count": 95,
7 "phone_period": "0-1-0 0:0:0",
8 "multiple_numbers_price": [
9 {
10 "count": 10,
11 "price": 0.4,
12 "installation_price": 1
13 }
14 ],
15 "phone_price": 0.5,
16 "phone_installation_price": 2
17 }
18}

Get actual info on the country region of the phone numbers. The response also contains the info about multiple numbers subscription for the child accounts.

Example request: Get the Germany region of the phone numbers.

Was this page helpful?
Previous

GetPhoneNumberRegions

Next

GetAccountPhoneNumberCountries

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

country_codestringRequired
The country code
phone_category_namestringRequired

The phone category name. See the [GetPhoneNumberCategories] method

country_statestringOptional

The country state code (example: AL, CA, … )

phone_region_idintegerRequired
The phone region ID to filter
localestringOptional

The 2-letter locale code. Supported values are EN, RU

Response

Successful response
resultobject

The [GetPhoneNumberRegions] function result.